#ifndef __AP_ABILITY_H__
#define __AP_ABILITY_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_ABILITY (ap_ability_get_type ())

G_DECLARE_FINAL_TYPE (APAbility, ap_ability, AP, ABILITY, GObject)

void
ap_ability_set_name (APAbility *self,
                     gchar     *name);

gchar *
ap_ability_get_name (APAbility *self);

void
ap_ability_set_label (APAbility *self,
                      gchar     *name);

gchar *
ap_ability_get_label (APAbility *self);

void
ap_ability_set_score (APAbility *self,
                      gint       score);

gint
ap_ability_get_score (APAbility *self);

void
ap_ability_set_bonus (APAbility *self,
                      gint       score);

gint
ap_ability_get_bonus (APAbility *self);

gint
ap_ability_get_modifier (APAbility *self);

G_END_DECLS

#endif /* __AP_ABILITY_H__ */

