#ifndef __AP_SKILL_H__
#define __AP_SKILL_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_SKILL (ap_skill_get_type ())

G_DECLARE_FINAL_TYPE (APSkill, ap_skill, AP, SKILL, GObject)

gchar *
ap_skill_get_name (APSkill *self);

gchar *
ap_skill_get_label (APSkill *self);

guint
ap_skill_get_score (APSkill *self);

gchar *
ap_skill_get_modifier (APSkill *self);

guint
ap_skill_get_bonus (APSkill *self);

gboolean
ap_skill_get_proficient (APSkill *self);

G_END_DECLS

#endif /* __AP_SKILL_H__ */

